
  void i2c_received(int data) {

    // Read If Available
    if(I2Ctwo.available()) {
      
      // Calculate Data Length
      uint8_t datalength = I2Ctwo.read();

      // Creating Data Array Based On Data Length
      uint8_t data[datalength];

      // Data Buffer
      String message;

      // Assembling Message Data
      for(int i=0; i<datalength; i++) {
        message += char(I2Ctwo.read());
      }

      // Printe Received Message
      Serial.println("Message : " + message);

    }

  }

  void i2c_request() {

    if(state == READY) {
      I2Ctwo.write(char('Y'));
      Serial.println("Requested Data : Ready");
      state = SENDING;
    } else if(state == SENDING) {
      
      uint8_t data[6] = { 'H', 'E', 'L', 'L', 'O', 'W' };

      for(int i=0; i<6; i++) {
        I2Ctwo.write(data[i]);
        Serial.print(data[i]);
      }

      Serial.println("Requested Data : Ready -> Sending");
      state = NOT_READY;

    } else {
      I2Ctwo.write(char('N'));
      Serial.println("Requested Data : Not Ready");
      state = NOT_READY;
    }

  }